Subject: Re: [PATCH 5/5] t-reftable-readwrite: add tests for print functions

From: Junio C Hamano <[email-masked]>
Date: Fri, 09 Aug 2024 09:56:39 -0700

Patrick Steinhardt <[email-masked]> writes:

> I can see two options:
>
>   1. Refactor these interfaces such that they take a file descriptor as
>      input that they are writing to. This would allow us to exercise
>      that the output is correct.
>
>   2. Rip out this function. I don't think this functionality should be
>      part of the library in the first place, and it really only exists
>      because of "reftable/dump.c".
>
> I think the latter is the better option. The functionality exists to
> drive `cmd__dump_reftable()` in our reftable test helper. We should
> likely make the whole implementation of this an internal implementation
> detail and not expose it.

Thanks for a review.  Are there anything other than removing this
step that this series needs?